Package edu.msu.cme.rdp.classifier.train.validation

# Class SortedROCSet.ResultComparator

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.SortedROCSet.ResultComparator

All Implemented Interfaces:
  `Comparator<SortedROCSet.PredictionCount>`

Enclosing class:
  SortedROCSet

public static class SortedROCSet.ResultComparator extends Object implements Comparator<SortedROCSet.PredictionCount>

## Constructor Summary

Constructors
Constructor
Description
`ResultComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(SortedROCSet.PredictionCount lhs, SortedROCSet.PredictionCount rhs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### ResultComparator

public ResultComparator()

## Method Details

### compare

public int compare(SortedROCSet.PredictionCount lhs, SortedROCSet.PredictionCount rhs)

Specified by:
  `compare` in interface `Comparator<SortedROCSet.PredictionCount>`